Subject: Ftp-WG: BHAS Announces Forward Stock Split

From: [email-masked]
Date: Thu, 4 May 2000 19:33:23 -0500

Thursday May 4, 3:00 pm Eastern Time

BHAS (OTC)
Price 0.28
 
Bach-Hauser Announces Forward Stock Split

CAYUGA, Ontario, May 4 /PRNewswire/ -- Bach-Hauser, Inc.
(OTC Bulletin Board: BHAS - news) announced that its common
stock will undergo a 2:1 forward split for the shareholders of record
as of April 24, 2000. The Company's President, Peter Preston,
announced that this action increases the Company's outstanding
shares to 39,000,000.

Please note: Included in this press release are ``forward-looking statements'
 within the meaning of Section 27A of the Securities Act of 1933, as amended,
and section 21E of the Securities Exchange Act of 1934, as amended.
Although the company believes that the expectations reflected in such
forward-looking statements are reasonable, it can give no assurances that
such expectations reflected in such forward-looking statements will prove to
have been correct.